{
    attributes = (
        {
            columnName = C2IE_KEY; 
            externalType = NUMBER; 
            name = c2ieKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IO_KEY; 
            externalType = NUMBER; 
            name = c2ioKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            definition = "DECODE(IC2ICCX_ETAT,1,'O','N')"; 
            externalType = VARCHAR2; 
            name = ic2icResultat; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = IC2ICCX_ETAT; 
            externalType = NUMBER; 
            name = ic2iccxEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (persId, c2ieKey, c2ioKey); 
    className = EOGenericRecord; 
    classProperties = (persId, c2ieKey, c2ioKey, ic2iccxEtat, toScolC2ICompetence, ic2icResultat); 
    externalName = SCOL_INSCRIPTION_CCOMPETENCE_X; 
    fetchSpecificationDictionary = {}; 
    name = ScolInscriptionCcompetenceX; 
    primaryKeyAttributes = (persId, c2ieKey, c2ioKey); 
    relationships = (
        {
            destination = ScolC2ICompetence; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ioKey; sourceAttribute = c2ioKey; }); 
            name = toScolC2ICompetence; 
        }
    ); 
}
